org.apache.activemq.artemis.journal

## Class ActiveMQJournalBundle_$bundle

- java.lang.Object
- - org.apache.activemq.artemis.journal.ActiveMQJournalBundle_$bundle

- All Implemented Interfaces:
    Serializable, ActiveMQJournalBundle

      @Generated(value="org.jboss.logging.processor.generator.model.MessageBundleImplementor",
                 date="2021-10-11T13:49:35-0500")
      public class ActiveMQJournalBundle_$bundle
      extends Object
      implements ActiveMQJournalBundle, Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ActiveMQJournalBundle_$bundle` | `INSTANCE`

    - ### Fields inherited from interface org.apache.activemq.artemis.journal.ActiveMQJournalBundle

      `BUNDLE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ActiveMQJournalBundle_$bundle()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActiveMQIOErrorException` | `fileNotOpened()`
    `protected String` | `fileNotOpened$str()`
    `protected Locale` | `getLoggingLocale()`
    `ActiveMQIOErrorException` | `ioRenameFileError(String name, String newFileName)`
    `protected String` | `ioRenameFileError$str()`
    `ActiveMQIOErrorException` | `journalDifferentVersion()`
    `protected String` | `journalDifferentVersion$str()`
    `ActiveMQIOErrorException` | `journalFileMisMatch()`
    `protected String` | `journalFileMisMatch$str()`
    `protected Object` | `readResolve()`
    `ActiveMQIOErrorException` | `recordLargerThanStoreMax(long recordSize, long maxRecordSize)`
    `protected String` | `recordLargerThanStoreMax$str()`
    `String` | `unableToOpenFile()`
    `protected String` | `unableToOpenFile$str()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final ActiveMQJournalBundle_$bundle INSTANCE

  - ### Constructor Detail

    - #### ActiveMQJournalBundle_$bundle

          protected ActiveMQJournalBundle_$bundle()

  - ### Method Detail

    - #### readResolve

          protected Object readResolve()

    - #### getLoggingLocale

          protected Locale getLoggingLocale()

    - #### ioRenameFileError$str

          protected String ioRenameFileError$str()

    - #### ioRenameFileError

          public final ActiveMQIOErrorException ioRenameFileError(String name,
                                                                  String newFileName)

      Specified by:
        `ioRenameFileError` in interface `ActiveMQJournalBundle`

    - #### journalDifferentVersion$str

          protected String journalDifferentVersion$str()

    - #### journalDifferentVersion

          public final ActiveMQIOErrorException journalDifferentVersion()

      Specified by:
        `journalDifferentVersion` in interface `ActiveMQJournalBundle`

    - #### journalFileMisMatch$str

          protected String journalFileMisMatch$str()

    - #### journalFileMisMatch

          public final ActiveMQIOErrorException journalFileMisMatch()

      Specified by:
        `journalFileMisMatch` in interface `ActiveMQJournalBundle`

    - #### fileNotOpened$str

          protected String fileNotOpened$str()

    - #### fileNotOpened

          public final ActiveMQIOErrorException fileNotOpened()

      Specified by:
        `fileNotOpened` in interface `ActiveMQJournalBundle`

    - #### unableToOpenFile$str

          protected String unableToOpenFile$str()

    - #### unableToOpenFile

          public final String unableToOpenFile()

      Specified by:
        `unableToOpenFile` in interface `ActiveMQJournalBundle`

    - #### recordLargerThanStoreMax$str

          protected String recordLargerThanStoreMax$str()

    - #### recordLargerThanStoreMax

          public final ActiveMQIOErrorException recordLargerThanStoreMax(long recordSize,
                                                                         long maxRecordSize)

      Specified by:
        `recordLargerThanStoreMax` in interface `ActiveMQJournalBundle`

Copyright © 2021 The Apache Software Foundation. All rights reserved.